# Uses of Class
com.databricks.jdbc.model.telemetry.StatementTelemetryDetails

Packages that use StatementTelemetryDetails
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.telemetry
com.databricks.jdbc.telemetry.latency

## Uses of StatementTelemetryDetails in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return StatementTelemetryDetails
Modifier and Type
Method
Description
`StatementTelemetryDetails`
StatementTelemetryDetails.`recordOperationLatency(long latencyMillis, OperationType operationType)`
`StatementTelemetryDetails`
StatementTelemetryDetails.`setExecutionResultFormat(ExecutionResultFormat executionResultFormat)`
`StatementTelemetryDetails`
StatementTelemetryDetails.`setInternalCall(boolean isInternalCall)`
`StatementTelemetryDetails`
StatementTelemetryDetails.`setOperationLatencyMillis(Long operationLatencyMillis)`

## Uses of StatementTelemetryDetails in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry with parameters of type StatementTelemetryDetails
Modifier and Type
Method
Description
`static void`
TelemetryHelper.`exportTelemetryLog(StatementTelemetryDetails telemetryDetails)`

## Uses of StatementTelemetryDetails in com.databricks.jdbc.telemetry.latency

Methods in com.databricks.jdbc.telemetry.latency that return StatementTelemetryDetails
Modifier and Type
Method
Description
`StatementTelemetryDetails`
TelemetryCollector.`getOrCreateTelemetryDetails(String statementId)`
Gets the telemetry details for a statement if present Otherwise creates a new one and persist